org.apache.sling.resourcebuilder.api

## Interface ResourceBuilderFactory

All Known Implementing Classes:
  ResourceBuilderFactoryService

    @ProviderType
    public interface ResourceBuilderFactory

Factory service for building `ResourceBuilder` instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull ResourceBuilder` `forParent(@NotNull org.apache.sling.api.resource.Resource parent)` Start a ResourceBuilder using the supplied parent resource
`@NotNull ResourceBuilder` `forResolver(@NotNull org.apache.sling.api.resource.ResourceResolver r)` Start a ResourceBuilder using the supplied ResourceResolver, starting with the root resource as the builder's parent resource.

### Method Detail

#### forParent

    @NotNull
    @NotNull ResourceBuilder forParent(@NotNull
                                                 @NotNull org.apache.sling.api.resource.Resource parent)

Start a ResourceBuilder using the supplied parent resource

Returns:
  the new builder

#### forResolver

    @NotNull
    @NotNull ResourceBuilder forResolver(@NotNull
                                                   @NotNull org.apache.sling.api.resource.ResourceResolver r)

Start a ResourceBuilder using the supplied ResourceResolver, starting with the root resource as the builder's parent resource.

Returns:
  the new builder